[vagrant]起動時にメッセージ「A newer version of the box」が出たとき

カテゴリ: Vagrant

Vagrantでvagrant upコマンドを使って仮想マシンを起動時に、以下のようなエラーメッセージ「A newer version of the box '...' for provider '...' is available!」が出ることがあります。

$ vagrant up

==> default: A newer version of the box 'centos/7' for provider 'virtualbox' is
==> default: available! You currently have version '1803.01'. The latest is version
==> default: '1804.02'. Run `vagrant box update` to update.

これは、使用しているvagrant boxに新しいバージョンのものが出たことを伝えているメッセージです。

新しいバージョンのboxを入手したい場合は、メッセージにある通りvagrant box updateコマンドを実行すれば良いです。

$ vagrant box update --box centos/7

Checking for updates to 'centos/7'
Latest installed version: 1814.02
...
Successfully added box centos/7 ...

アップデート後に、vagrant box listコマンドを実行すれば最新バージョンにアップデートできたか確認できます。

$ vagrant box list

centos/7             (virtualbox, 1804.02)

Amazonでおトクに買い物する方法
AmazonチャージでポイントGET


Amazonは買いもの前にAmazonギフト券をチャージしてポイントをゲットしないと損!

こちらもおススメ

コメントを残す

メールアドレスが公開されることはありません。